## org.apache.batik.apps.svgbrowser
Class PreferenceDialog.JConfigurationPanel.ResizingCardLayout

    java.lang.Object
      java.awt.CardLayout
          org.apache.batik.apps.svgbrowser.PreferenceDialog.JConfigurationPanel.ResizingCardLayout

All Implemented Interfaces:
  java.awt.LayoutManager, java.awt.LayoutManager2, java.io.Serializable

Enclosing class:
  PreferenceDialog.JConfigurationPanel

    protected class PreferenceDialog.JConfigurationPanel.ResizingCardLayout

extends java.awt.CardLayout

A CardLayout that returns a preferred height based on the currently displayed component.

See Also:
  Serialized Form

Constructor Summary
`PreferenceDialog.JConfigurationPanel.ResizingCardLayout()` Creates a new ResizingCardLayout.

Method Summary
`java.awt.Dimension` `preferredLayoutSize(java.awt.Container parent)`

Methods inherited from class java.awt.CardLayout
`addLayoutComponent, addLayoutComponent, first, getHgap, getLayoutAlignmentX, getLayoutAlignmentY, getVgap, invalidateLayout, last, layoutContainer, maximumLayoutSize, minimumLayoutSize, next, previous, removeLayoutComponent, setHgap, setVgap, show, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreferenceDialog.JConfigurationPanel.ResizingCardLayout

    public PreferenceDialog.JConfigurationPanel.ResizingCardLayout()

  Creates a new ResizingCardLayout.

Method Detail

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`
  Overrides:
    `preferredLayoutSize` in class `java.awt.CardLayout`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.